PHPExcel_Worksheet_AutoFilter_Column

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Worksheet_AutoFilter_Column

    __construct(string $pColumn, \PHPExcel_Worksheet_AutoFilter $pParent)

### Parameters

#### $pColumn

`string`

Column (e.g. A)

#### $pParent

`\PHPExcel_Worksheet_AutoFilter`

Autofilter for this column

## Add a new AutoFilter Column Rule to the ruleset

    addRule(\PHPExcel_Worksheet_AutoFilter_Column_Rule $pRule, boolean $returnRule) : \PHPExcel_Worksheet_AutoFilter_Column | \PHPExcel_Worksheet_AutoFilter_Column_Rule

### Parameters

#### $pRule

`\PHPExcel_Worksheet_AutoFilter_Column_Rule`

#### $returnRule

`boolean`

Flag indicating whether the rule object or the column object should be returned

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column``\PHPExcel_Worksheet_AutoFilter_Column_Rule`

## Delete all AutoFilter Column Rules

    clearRules() : \PHPExcel_Worksheet_AutoFilter_Column

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

## Create a new AutoFilter Column Rule in the ruleset

    createRule() : \PHPExcel_Worksheet_AutoFilter_Column_Rule

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column_Rule`

## Delete a specified AutoFilter Column Rule If the number of rules is reduced to 1, then we reset And/Or logic to Or

    deleteRule(integer $pIndex) : \PHPExcel_Worksheet_AutoFilter_Column

### Parameters

#### $pIndex

`integer`

Rule index in the ruleset array

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

## Get specific AutoFilter Column Attribute

    getAttribute(string $pName) : string

### Parameters

#### $pName

`string`

Attribute Name

### Returns

`string`

## Get AutoFilter Column Attributes

    getAttributes() : string

### Returns

`string`

## Get AutoFilter Column Index

    getColumnIndex() : string

### Returns

`string`

## Get AutoFilter Type

    getFilterType() : string

### Returns

`string`

## Get AutoFilter Multiple Rules And/Or Join

    getJoin() : string

### Returns

`string`

## Get this Column's AutoFilter Parent

    getParent() : \PHPExcel_Worksheet_AutoFilter

### Returns

`\PHPExcel_Worksheet_AutoFilter`

## Get a specified AutoFilter Column Rule

    getRule(integer $pIndex) : \PHPExcel_Worksheet_AutoFilter_Column_Rule

### Parameters

#### $pIndex

`integer`

Rule index in the ruleset array

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column_Rule`

## Get all AutoFilter Column Rules

    getRules() : array

### Exceptions

`\PHPExcel_Exception` |

### Returns

`array`of PHPExcel_Worksheet_AutoFilter_Column_Rule

## Set An AutoFilter Attribute

    setAttribute(string $pName, string $pValue) : \PHPExcel_Worksheet_AutoFilter_Column

### Parameters

#### $pName

`string`

Attribute Name

#### $pValue

`string`

Attribute Value

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

## Set AutoFilter Attributes

    setAttributes(string[] $pAttributes) : \PHPExcel_Worksheet_AutoFilter_Column

### Parameters

#### $pAttributes

`string[]`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

## Set AutoFilter Column Index

    setColumnIndex(string $pColumn) : \PHPExcel_Worksheet_AutoFilter_Column

### Parameters

#### $pColumn

`string`

Column (e.g. A)

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

## Set AutoFilter Type

    setFilterType(string $pFilterType) : \PHPExcel_Worksheet_AutoFilter_Column

### Parameters

#### $pFilterType

`string`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

## Set AutoFilter Multiple Rules And/Or

    setJoin(string $pJoin) : \PHPExcel_Worksheet_AutoFilter_Column

### Parameters

#### $pJoin

`string`

And/Or

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

## Set this Column's AutoFilter Parent

    setParent(\PHPExcel_Worksheet_AutoFilter $pParent) : \PHPExcel_Worksheet_AutoFilter_Column

### Parameters

#### $pParent

`\PHPExcel_Worksheet_AutoFilter`

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

### Properties

##

    $_attributes : array

##

    $_columnIndex : string

##

    $_filterType : string

##

    $_filterTypes : string[]

##

    $_join : string

##

    $_parent : \PHPExcel_Worksheet_AutoFilter

##

    $_ruleJoins : string[]

##

    $_ruleset : array

### Constants

## AUTOFILTER_COLUMN_JOIN_AND

    AUTOFILTER_COLUMN_JOIN_AND

## AUTOFILTER_COLUMN_JOIN_OR

    AUTOFILTER_COLUMN_JOIN_OR

## AUTOFILTER_FILTERTYPE_CUSTOMFILTER

    AUTOFILTER_FILTERTYPE_CUSTOMFILTER

## AUTOFILTER_FILTERTYPE_DYNAMICFILTER

    AUTOFILTER_FILTERTYPE_DYNAMICFILTER

## AUTOFILTER_FILTERTYPE_FILTER

    AUTOFILTER_FILTERTYPE_FILTER

## AUTOFILTER_FILTERTYPE_TOPTENFILTER

    AUTOFILTER_FILTERTYPE_TOPTENFILTER